# GNUmakefile          Section: 6.15, Hueckel Edge Operator
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES =
CLOSUREOBJS =

HEADERS = hueckel.h  hueckel-basis.h
LOBJS   = hueckel.o  hueckel-basis.o

SOURCES	= hueckel.h hueckel.c  hueckel-basis.h hueckel-basis.c \
	  test-hueckel.c  test-basis.c
TESTS	= test-hueckel  test-basis

ARL =

EXTRAINCLUDES =
CPPFLAGS      =
OTHERLIBS     =

TARGET_ARCH =
XTRAFLAGS   =
XTRACCFLAGS =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

ifeq (${LIBTEST},)
hueckel-basis.o: hueckel-basis.c hueckel-basis.h

hueckel.o:	 hueckel.h hueckel.c hueckel-basis.o

test-hueckel:  test-hueckel.o hueckel.o hueckel-basis.o
	$(LINK.cc) -o $@ $@.o hueckel.o hueckel-basis.o ${LDLIBS}
	strip $@

test-basis:	test-basis.o  hueckel-basis.o
	$(LINK.cc) -o $@ $@.o hueckel-basis.o ${LDLIBS}
	strip $@

else
test-hueckel.o:	test-hueckel.c

test-basis.o:	test-basis.c
endif
